﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using DemoModule.Views;
using Microsoft.Practices.Composite.Modularity;
using Microsoft.Practices.Composite.Regions;
using Microsoft.Practices.Unity;

namespace DemoModule
{
    public class Demo :IModule
    {
        private IUnityContainer _container;
        private IRegionManager _regionManager;

        // The unity container should inject this params.
        public Demo(IUnityContainer container, IRegionManager regionManager)
        {
             _container = container;
            _regionManager = regionManager;
        }

        public void Initialize(){
            RegisterViews();
        }

        private void RegisterViews(){
            _regionManager.RegisterViewWithRegion("MainRegion", typeof(SilverlightControl1));
            _regionManager.RegisterViewWithRegion("MainRegion", typeof(SilverlightControl2));
        }

    }
}
