using System;
using System.Windows;
using Microsoft.Practices.Composite.Modularity;
using Microsoft.Practices.Composite.UnityExtensions;
using Microsoft.Practices.Composite.Presentation.Regions;
using Telerik.Regions;
using Telerik.Windows.Controls;
using TelerikPrism;

namespace NForcer.Control.Client.SL
{
    public class Bootstrapper : UnityBootstrapper
    {
        protected override DependencyObject CreateShell()
        {
            MainPage page = new MainPage();
            Application.Current.RootVisual = page;
            return page;
        }
        
        // Add Demo module to catalog. 
        protected override IModuleCatalog GetModuleCatalog()
        {
            ModuleCatalog catalog = new ModuleCatalog().AddModule(typeof(DemoModule.Demo));
            return catalog;
        }


        // This method should be ovveride to use RadTabControlAdapter
        protected override RegionAdapterMappings ConfigureRegionAdapterMappings()
        {
            RegionAdapterMappings regionAdapterMappings = base.ConfigureRegionAdapterMappings();

            if (regionAdapterMappings != null)
            {
                regionAdapterMappings.RegisterMapping(typeof(RadTabControl), Container.Resolve<RadTabControlRegionAdapter>());
            }
            return regionAdapterMappings;
        }

    }
}